libzypp: zypp::KVMap< KVMapOpts > Struct Template Reference

libzypp 17.38.6

zypp::KVMap< KVMapOpts > Struct Template Reference

A map of (key,value) strings. More...

`#include <zypp-core/kvmap.h>`

Inheritance diagram for zypp::KVMap< KVMapOpts >:

## Public Member Functions
| KVMap ()
| KVMap (const char *str_r)
| KVMap (const std::string &str_r)
| KVMap (const map_type &map_r)
| ~KVMap ()
std::string | asString () const
Public Member Functions inherited from zypp::kvmap::KVMapBase
| KVMapBase ()
| KVMapBase (const map_type &kvmap_r)
bool | has (const std::string &key_r) const
| Test whether key is set.

## Additional Inherited Members
Public Types inherited from zypp::kvmap::KVMapBase
using | map_type = std::map<std::string, std::string>
| (key,value) map type
Static Public Member Functions inherited from zypp::kvmap::KVMapBase
static map_type | split (const std::string &str_r, const KVMapPolicy &opts_r)
| Split str_r into (key,value) map, using the separators defined by opts_r.
static std::string | join (const map_type &kvmap_r, const KVMapPolicy &opts_r)
| Join (key,value) map into string, using the separators defined by opts_r.

## Detailed Description

template<typename KVMapOpts>
struct zypp::KVMap< KVMapOpts >

A map of (key,value) strings.

The template argument defines the kvmap::Options for split and join.

E.g. mount options (a comma separated list of key[=value] pairs) could be handled by KVMap<kvmap::KVMapBase::Comma>.

Definition at line 174 of file kvmap.h.

## Constructor & Destructor Documentation

## ◆ KVMap() [1/4]

template<typename KVMapOpts>

zypp::KVMap< KVMapOpts >::KVMap | ( |  | ) |
| inline

Definition at line 176 of file kvmap.h.

## ◆ KVMap() [2/4]

template<typename KVMapOpts>

zypp::KVMap< KVMapOpts >::KVMap | ( | const char * | str_r | ) |
| inline

Definition at line 178 of file kvmap.h.

## ◆ KVMap() [3/4]

template<typename KVMapOpts>

zypp::KVMap< KVMapOpts >::KVMap | ( | const std::string & | str_r | ) |
| inline

Definition at line 181 of file kvmap.h.

## ◆ KVMap() [4/4]

template<typename KVMapOpts>

zypp::KVMap< KVMapOpts >::KVMap | ( | const map_type & | map_r | ) |
| inline

Definition at line 184 of file kvmap.h.

## ◆ ~KVMap()

template<typename KVMapOpts>

zypp::KVMap< KVMapOpts >::~KVMap | ( |  | ) |
| inline

Definition at line 188 of file kvmap.h.

## Member Function Documentation

## ◆ asString()

template<typename KVMapOpts>

std::string zypp::KVMap< KVMapOpts >::asString | ( |  | ) | const
| inline

Definition at line 190 of file kvmap.h.

The documentation for this struct was generated from the following file:

- zypp-core/kvmap.h